<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>pqs-common</artifactId>
        <groupId>com.njcn</groupId>
        <version>1.0.0</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    <artifactId>common-autocode</artifactId>
    <!--所有的代码生成完毕后，请按需拷贝到相应的服务模块中-->
    <name>mybatis-plus代码自动生成模块</name>
    <properties>
        <maven.compiler.source>8</maven.compiler.source>
        <maven.compiler.target>8</maven.compiler.target>
    </properties>

    <dependencies>
        <dependency>
            <groupId>com.njcn</groupId>
            <artifactId>common-db</artifactId>
            <version>1.0.0</version>
        </dependency>
        <dependency>
            <groupId>com.njcn</groupId>
            <artifactId>common-web</artifactId>
            <version>1.0.0</version>
        </dependency>
        <!-- mybatis-plus自动生成代码 -->
        <dependency>
            <groupId>com.baomidou</groupId>
            <artifactId>mybatis-plus-generator</artifactId>
        </dependency>
        <!--模板引起，mp默认支持的velocity也可以切换为freemarker-->
        <dependency>
            <groupId>org.apache.velocity</groupId>
            <artifactId>velocity-engine-core</artifactId>
        </dependency>
    </dependencies>

</project>